#
%define		_state		stable
%define		orgname		kcharselect
%define		qtver		4.8.3

Summary:	K Desktop Environment - KDE Character Selector
Name:		kde4-kcharselect
Version:	4.14.3
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	41c582837e2a29588713d6627c4fb48e
URL:		http://www.kde.org/
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	kde4-kdebase-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
Requires:	kde4-kdebase-workspace >= 4.11.4
Obsoletes:	kde4-kdeutils-kcharselect
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Application for selecting characters.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kcharselect
%{_datadir}/apps/kcharselect
%{_desktopdir}/kde4/KCharSelect.desktop
%changelog
* Fri Nov 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kcharselect.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 3704ef4
- updated to 4.14.3 (by update-kde4.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 9fd0c4e
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6ebc3d4
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 5c4c23d
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 87ef7f5
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2f2a64a
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7b2d275
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4e07a23
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f5e5624
- updated to 4.12.1 (by update-kde4.sh)

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> ee54915
- 4.12.0

* Thu Dec 12 2013 Lukasz Masko <lmasko@pld-linux.org> 74f706c
- Up to 4.11.4.

* Wed Sep 25 2013 Karol Krenski <charles@pld-linux.org> c140f2e
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 5c97b83
- updated to 4.10.4 (by update-kde4.sh)

* Tue Feb 26 2013 Jan Rękorajski <baggins@pld-linux.org> 6d9dad4
- updated files

* Tue Feb 26 2013 Jan Rękorajski <baggins@pld-linux.org> 7bea0eb
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> c08315a
- updated to 4.9.4

* Sun Dec 02 2012 Karol Krenski <charles@pld-linux.org> 80392f5
- updated to 4.9.3

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 363eb15
- updated to 4.9.1.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 48d8c35
- updated to 4.9.0.

* Wed May 02 2012 Karol Krenski <charles@pld-linux.org> 86e6548
- updated to 4.8.2
- updated BRs

